task two_family_merge {
	File LCL5_trio_vcf
	File LCL6_trio_vcf
	File genotype_file
	String family_chromo_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		cat ${LCL5_trio_vcf} | grep -v '##' > ${family_chromo_name}.LCL5.txt
		cat ${LCL6_trio_vcf} | grep -v '##' > ${family_chromo_name}.LCL6.txt
		cat ${genotype_file} | grep -v '##' | awk '
			BEGIN { OFS = "\t" }
			NF > 2 && FNR > 1 { 
				for ( i=9; i<=NF; i++ ) { 
					split($i,a,":") ;$i = a[1];
				} 
			} 
			{ print }
		' | cut -f1,2,4,5,10- > ${family_chromo_name}.genotype.txt
		python /opt/merge_two_family_with_genotype.py -LCL5 ${family_chromo_name}.LCL5.txt -LCL6 ${family_chromo_name}.LCL6.txt -genotype ${family_chromo_name}.genotype.txt -family ${family_chromo_name}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File family_mendelian_info = "${family_chromo_name}.txt"
	}

}